# Package org.opensaml.messaging

@NonnullElements package org.opensaml.messaging
General interfaces and classes related to message processing and bindings to transport protocols.

Related Packages
Package
Description
org.opensaml.messaging.context
Interfaces and classes for tracking message processing state.
org.opensaml.messaging.decoder
Interfaces and classes for decoding messages.
org.opensaml.messaging.encoder
Interfaces and classes for encoding messages.
org.opensaml.messaging.error
Interfaces and classes for message-related error handling.
org.opensaml.messaging.handler
Interfaces and classes for message context handlers.
org.opensaml.messaging.logic
Interfaces and classes for messaging logic.
org.opensaml.messaging.pipeline
Interfaces and classes for message processing pipelines.
Exceptions
Class
Description
MessageException
Base class for messaging-related checked exceptions.
MessageRuntimeException
Base class for messaging-related unchecked runtime exceptions.